Loading...
Searching...
No Matches
juce::ChangeListener Class Referenceabstract

`#include <juce_ChangeListener.h>`

## Public Member Functions

virtual | ~ChangeListener ()=default
virtual void | changeListenerCallback (ChangeBroadcaster *source)=0

## Detailed Description

Receives change event callbacks that are sent out by a ChangeBroadcaster.

A ChangeBroadcaster keeps a set of listeners to which it broadcasts a message when the ChangeBroadcaster::sendChangeMessage() method is called. A subclass of ChangeListener is used to receive these callbacks.

Note that the major difference between an ActionListener and a ChangeListener is that for a ChangeListener, multiple changes will be coalesced into fewer callbacks, but ActionListeners perform one callback for every event posted.

See also
  ChangeBroadcaster, ActionListener

Definition at line 44 of file juce_ChangeListener.h.

## Constructor & Destructor Documentation

## ~ChangeListener()

virtual juce::ChangeListener::~ChangeListener | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## changeListenerCallback()

virtual void juce::ChangeListener::changeListenerCallback | ( | ChangeBroadcaster * | source | ) |

pure virtual

Your subclass should implement this method to receive the callback.

Parameters

  source | the ChangeBroadcaster that triggered the callback.

The documentation for this class was generated from the following file:

- juce_ChangeListener.h